GET restapi/personal/courses/cards/unstarred/v1?PageIndex={PageIndex}&PageSize={PageSize}&sortBy={sortBy}&searchText={searchText}&isShowMore={isShowMore}

Gets the list of cards for user's unstarred courses

Request Information

URI Parameters

NameDescriptionTypeAdditional information
PageIndex

integer

None.

PageSize

integer

None.

sortBy

The property to sort by.

string

Default value is Title

searchText

Text search in course title, friendly name field.

string

None.

isShowMore

Request is from a show more button click

boolean

Default value is False

Body Parameters

None.

Response Information

Resource Description

This method returns a collection of course cards entities .

EntityListOfItslearning.RestApi.Entities.CourseCard
NameDescriptionTypeAdditional information
EntityArray

Collection of Itslearning.RestApi.Entities.CourseCard

None.

Total

integer

None.

CurrentPageIndex

integer

None.

PageSize

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "EntityArray": [
    {
      "CourseId": 1,
      "FriendlyName": "sample string 2",
      "Title": "sample string 3",
      "TeacherName": "sample string 4",
      "TeacherPictureUrl": "sample string 5",
      "NumberOfTeachers": 6,
      "Teachers": [
        {
          "PersonId": 1,
          "FullName": "sample string 2",
          "ProfileUrl": "sample string 3",
          "IsVisibleOnCourseCard": true
        },
        {
          "PersonId": 1,
          "FullName": "sample string 2",
          "ProfileUrl": "sample string 3",
          "IsVisibleOnCourseCard": true
        }
      ],
      "CourseColorClass": "sample string 7",
      "NumberOfAnnouncements": 8,
      "NumberOfTasks": 9,
      "NumberOfFollowUpTasks": 10,
      "CourseCardImageFileRepoId": "2f570d85-5d1d-451f-835a-df9061f22e04",
      "CourseCardImageUrl": "sample string 11",
      "CourseCardImageDescription": "sample string 12",
      "LastUpdatedDisplayTime": "sample string 13",
      "LastUpdated": "2026-06-01T10:51:13Z",
      "LastOnlineDisplayTime": "sample string 14",
      "LastOnline": "2026-06-01T10:51:13Z",
      "IsFavouriteCourse": true,
      "NotificationsEnabled": true,
      "CanAdminCourse": true,
      "CourseType": 1
    },
    {
      "CourseId": 1,
      "FriendlyName": "sample string 2",
      "Title": "sample string 3",
      "TeacherName": "sample string 4",
      "TeacherPictureUrl": "sample string 5",
      "NumberOfTeachers": 6,
      "Teachers": [
        {
          "PersonId": 1,
          "FullName": "sample string 2",
          "ProfileUrl": "sample string 3",
          "IsVisibleOnCourseCard": true
        },
        {
          "PersonId": 1,
          "FullName": "sample string 2",
          "ProfileUrl": "sample string 3",
          "IsVisibleOnCourseCard": true
        }
      ],
      "CourseColorClass": "sample string 7",
      "NumberOfAnnouncements": 8,
      "NumberOfTasks": 9,
      "NumberOfFollowUpTasks": 10,
      "CourseCardImageFileRepoId": "9bebfd17-9664-4e97-99d8-8dbb2292579b",
      "CourseCardImageUrl": "sample string 11",
      "CourseCardImageDescription": "sample string 12",
      "LastUpdatedDisplayTime": "sample string 13",
      "LastUpdated": "2026-06-01T10:51:13Z",
      "LastOnlineDisplayTime": "sample string 14",
      "LastOnline": "2026-06-01T10:51:13Z",
      "IsFavouriteCourse": true,
      "NotificationsEnabled": true,
      "CanAdminCourse": true,
      "CourseType": 1
    }
  ],
  "Total": 1,
  "CurrentPageIndex": 2,
  "PageSize": 3
}

application/xml, text/xml

Sample:
<EntityList xmlns:i="http://www.w3.org/2001/XMLSchema-instance">
  <CurrentPageIndex>2</CurrentPageIndex>
  <EntityArray>
    <CourseCard>
      <CanAdminCourse>true</CanAdminCourse>
      <CourseCardImageDescription>sample string 12</CourseCardImageDescription>
      <CourseCardImageFileRepoId>2f570d85-5d1d-451f-835a-df9061f22e04</CourseCardImageFileRepoId>
      <CourseCardImageUrl>sample string 11</CourseCardImageUrl>
      <CourseColorClass>sample string 7</CourseColorClass>
      <CourseId>1</CourseId>
      <CourseType>Subject</CourseType>
      <FriendlyName>sample string 2</FriendlyName>
      <IsFavouriteCourse>true</IsFavouriteCourse>
      <LastOnline>2026-06-01T10:51:13Z</LastOnline>
      <LastOnlineDisplayTime>sample string 14</LastOnlineDisplayTime>
      <LastUpdated>2026-06-01T10:51:13Z</LastUpdated>
      <LastUpdatedDisplayTime>sample string 13</LastUpdatedDisplayTime>
      <NotificationsEnabled>true</NotificationsEnabled>
      <NumberOfAnnouncements>8</NumberOfAnnouncements>
      <NumberOfFollowUpTasks>10</NumberOfFollowUpTasks>
      <NumberOfTasks>9</NumberOfTasks>
      <NumberOfTeachers>6</NumberOfTeachers>
      <TeacherName>sample string 4</TeacherName>
      <TeacherPictureUrl>sample string 5</TeacherPictureUrl>
      <Teachers>
        <CourseCardTeacher>
          <FullName>sample string 2</FullName>
          <IsVisibleOnCourseCard>true</IsVisibleOnCourseCard>
          <PersonId>1</PersonId>
          <ProfileUrl>sample string 3</ProfileUrl>
        </CourseCardTeacher>
        <CourseCardTeacher>
          <FullName>sample string 2</FullName>
          <IsVisibleOnCourseCard>true</IsVisibleOnCourseCard>
          <PersonId>1</PersonId>
          <ProfileUrl>sample string 3</ProfileUrl>
        </CourseCardTeacher>
      </Teachers>
      <Title>sample string 3</Title>
    </CourseCard>
    <CourseCard>
      <CanAdminCourse>true</CanAdminCourse>
      <CourseCardImageDescription>sample string 12</CourseCardImageDescription>
      <CourseCardImageFileRepoId>9bebfd17-9664-4e97-99d8-8dbb2292579b</CourseCardImageFileRepoId>
      <CourseCardImageUrl>sample string 11</CourseCardImageUrl>
      <CourseColorClass>sample string 7</CourseColorClass>
      <CourseId>1</CourseId>
      <CourseType>Subject</CourseType>
      <FriendlyName>sample string 2</FriendlyName>
      <IsFavouriteCourse>true</IsFavouriteCourse>
      <LastOnline>2026-06-01T10:51:13Z</LastOnline>
      <LastOnlineDisplayTime>sample string 14</LastOnlineDisplayTime>
      <LastUpdated>2026-06-01T10:51:13Z</LastUpdated>
      <LastUpdatedDisplayTime>sample string 13</LastUpdatedDisplayTime>
      <NotificationsEnabled>true</NotificationsEnabled>
      <NumberOfAnnouncements>8</NumberOfAnnouncements>
      <NumberOfFollowUpTasks>10</NumberOfFollowUpTasks>
      <NumberOfTasks>9</NumberOfTasks>
      <NumberOfTeachers>6</NumberOfTeachers>
      <TeacherName>sample string 4</TeacherName>
      <TeacherPictureUrl>sample string 5</TeacherPictureUrl>
      <Teachers>
        <CourseCardTeacher>
          <FullName>sample string 2</FullName>
          <IsVisibleOnCourseCard>true</IsVisibleOnCourseCard>
          <PersonId>1</PersonId>
          <ProfileUrl>sample string 3</ProfileUrl>
        </CourseCardTeacher>
        <CourseCardTeacher>
          <FullName>sample string 2</FullName>
          <IsVisibleOnCourseCard>true</IsVisibleOnCourseCard>
          <PersonId>1</PersonId>
          <ProfileUrl>sample string 3</ProfileUrl>
        </CourseCardTeacher>
      </Teachers>
      <Title>sample string 3</Title>
    </CourseCard>
  </EntityArray>
  <PageSize>3</PageSize>
  <Total>1</Total>
</EntityList>